Skip to main content
POST
/
x
/
get-tweet-quotes
Bridgly SDK
import { Bridgly } from 'bridgly';

const client = new Bridgly({ apiKey: process.env.BRIDGLY_API_KEY });

const res = await client.x.getTweetQuotes({
  tweetId: "string",
  count: 10,
});
if (res.type === 'success') console.log(res.data);
curl --request POST \
  --url https://api.bridgly.app/x/get-tweet-quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tweetId": "<string>",
  "count": 10
}
'
import requests

url = "https://api.bridgly.app/x/get-tweet-quotes"

payload = {
    "tweetId": "<string>",
    "count": 10
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({tweetId: '<string>', count: 10})
};

fetch('https://api.bridgly.app/x/get-tweet-quotes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "timeMs": 123,
  "creditsCost": 123,
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "text": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdAtEpochMs": 123,
      "source": "<string>",
      "conversationId": "<string>",
      "replyCount": 123,
      "retweetCount": 123,
      "likeCount": 123,
      "quoteCount": 123,
      "bookmarkCount": 123,
      "viewCount": 123,
      "replyToTweetId": "<string>",
      "replyToUserId": "<string>",
      "replyToUsername": "<string>",
      "replyToTweetUrl": "<string>",
      "isQuote": true,
      "quotedTweetId": "<string>",
      "quotedTweetUrl": "<string>",
      "quotedTweetAuthorId": "<string>",
      "quotedTweetAuthorUsername": "<string>",
      "lang": "<string>",
      "isSensitive": true,
      "hashtags": [
        "<string>"
      ],
      "mentions": [
        {
          "userId": "<string>",
          "username": "<string>",
          "displayName": "<string>",
          "profileUrl": "<string>"
        }
      ],
      "urls": [
        {
          "shortUrl": "<string>",
          "expandedUrl": "<string>",
          "displayUrl": "<string>"
        }
      ],
      "media": [
        {
          "url": "<string>",
          "mediaKey": "<string>",
          "mediaId": "<string>",
          "width": 123,
          "height": 123,
          "expandedUrl": "<string>",
          "videoUrl": "<string>",
          "durationMs": 123
        }
      ],
      "authorId": "<string>",
      "authorHandle": "<string>",
      "authorName": "<string>",
      "authorUrl": "<string>",
      "authorIsVerified": true,
      "authorIsBlueVerified": true
    }
  ]
}
{
  "status": "error",
  "message": "<string>"
}
{
  "status": "error",
  "message": "<string>"
}
{
  "status": "error",
  "message": "<string>"
}
{
  "status": "error",
  "message": "<string>"
}
{
  "status": "error",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.

Body

application/json
tweetId
string
required

Numeric ID of the tweet whose quote tweets to list, e.g. "1234567890".

count
integer
default:10

Number of quote tweets to return (1–10). Defaults to 10.

Required range: 1 <= x <= 10
sortOrder
enum<string>

Result ordering: "Latest" = chronological newest-first (default), "Top" = X's engagement ranking.

Available options:
Latest,
Top

Response

Default Response

timeMs
number
required

Wall-clock time the request took to complete, in milliseconds.

creditsCost
number
required

Number of account credits this request consumed.

data
object[]
required